> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/offshoot-helper/set-window-layout.md).

# Set Window Layout

Use this script to hide other app windows, open OffShoot, scale & position the main OffShoot window and open and position two Finder windows adjacent to the OffShoot window.

{% hint style="info" %}
Use this script with [OffShoot Helper's `runAppleScript` action](/offshoot/features/automation/offshoot-helper.md#run-applescript).
{% endhint %}

### Settings

```
set hedgePosition to {x:150, y:120}
set hedgeSize to {width:1280, height:780}
set finderSize to {width:550, height:((height of hedgeSize) / 2)}
set finder1Path to "/Volumes/T1/Testination"
set finder2Path to "/Volumes/T2/Testination"
```

### Download

{% file src="/files/t08NMLeGSvQQhnRPZlzd" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hedge.video/offshoot/features/automation/offshoot-helper/set-window-layout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
